Yeah. I've tried all those ones. That doesn't do it.
No worries, InputHelper does the job.
Search found 12 matches
- Thu Dec 21, 2023 4:21 pm
- Forum: API
- Topic: Hiding Context toolbar
- Replies: 7
- Views: 1636
- Wed Dec 20, 2023 10:04 pm
- Forum: API
- Topic: Hiding Context toolbar
- Replies: 7
- Views: 1636
Re: Hiding Context toolbar
I've manage to block the right click command, and thus the menu, with the InputHelper library. https://github.com/Visual-Vincent/InputHelper Although I would love to learn a better way to do it with Solidworks commands. Private Sub MouseHook_MouseDown(sender As Object, e As InputHelper.EventArgs.Mou...
- Wed Dec 20, 2023 6:42 pm
- Forum: API
- Topic: Hiding Context toolbar
- Replies: 7
- Views: 1636
Re: Hiding Context toolbar
I'm working on a macro feature that display custom information in OpenGL,
and can be used to interact in a specific manner with the mouse.
But this menu is in the way.
I would like to disable it while the macro feature is in edit mode.
and can be used to interact in a specific manner with the mouse.
But this menu is in the way.
I would like to disable it while the macro feature is in edit mode.
- Wed Dec 20, 2023 6:11 pm
- Forum: API
- Topic: Hiding Context toolbar
- Replies: 7
- Views: 1636
Re: Hiding Context toolbar
Correct me if I'm wrong, but I don't think this menu has a setting in Tool>Customize so it doesn't appear. But if there is, either way would be great. https://i.imgur.com/Nf2V9lN.jpg I've found this link that can be used to hide the menu specific to the selection, but there is still a menu that appe...
- Wed Dec 20, 2023 10:58 am
- Forum: API
- Topic: Hiding Context toolbar
- Replies: 7
- Views: 1636
Hiding Context toolbar
Is there an API command to hide or disable the context toolbar (the one that appears when right clicking on a face) for parts?
- Sat Nov 04, 2023 3:44 pm
- Forum: API
- Topic: ListExternalFileReferences and ReplaceReferencedDocument without Opening
- Replies: 1
- Views: 857
Re: ListExternalFileReferences and ReplaceReferencedDocument without Opening
To get the list of external references and replace references without opening any file, you can use document manager's functions GetAllExternalReferences4: https://help.solidworks.com/2012/english/api/swdocmgrapi/solidworks.interop.swdocumentmgr~solidworks.interop.swdocumentmgr.iswdmdocument13~getal...
- Sun Oct 08, 2023 8:43 pm
- Forum: API
- Topic: OpenGL in standalone App?
- Replies: 1
- Views: 978
OpenGL in standalone App?
Hello, I'm creating a VB.net application to insert OpenGL objects in my model space. Doing it with an add-in works great like this example from Artem: https://www.codestack.net/solidworks-api/adornment/opengl/display-mode-tetrahedron/ But I can't make it work on a standalone application with the OnB...
- Sat Jul 22, 2023 5:05 pm
- Forum: API
- Topic: select a specific sketch block instance via API
- Replies: 4
- Views: 1314
Re: select a specific sketch block instance via API
A bit late but I think GetSelectByIdSpecification should do the trick and works with points and segments, in or out of the 3DSketch. Results: Point5/Block1-3 -Or- Point5/Block1-3@3DSketch1 Option Explicit Sub main() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swSelMgr As Sld...
- Thu May 26, 2022 10:58 am
- Forum: API
- Topic: Exporting Embedded PDF
- Replies: 3
- Views: 691
Re: Exporting Embedded PDF
The encoding format is "Microsoft Compound Document File"
I manage to adapt a library that open them
https://github.com/ironfede/openmcdf
It's a bit dirty at this time but it works
I manage to adapt a library that open them
https://github.com/ironfede/openmcdf
It's a bit dirty at this time but it works
- Tue May 24, 2022 5:50 pm
- Forum: API
- Topic: Exporting Embedded PDF
- Replies: 3
- Views: 691
Exporting Embedded PDF
Hello everyone, I'm trying to automate the export of the embedded files (PDF and Office) from the design binder of a part, I could open the files and save them but it's unreliable. So I tried to write the buffer to a file, but there is some extra data that makes it unreadable. Does someone know the ...
- Tue Mar 30, 2021 12:50 am
- Forum: API
- Topic: notes and views
- Replies: 6
- Views: 1073
Re: notes and views
Sure. Try this: Option Explicit Sub main() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swDraw As SldWorks.DrawingDoc Dim swView As SldWorks.View Dim swNote As SldWorks.Note Dim swAnn As SldWorks.Annotation Dim vNotes As Variant Dim vNote As Variant Dim vComps As Variant Dim ...
- Fri Mar 26, 2021 12:29 pm
- Forum: API
- Topic: notes and views
- Replies: 6
- Views: 1073
Re: notes and views
Hello, Try this: Option Explicit Sub main() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swDraw As SldWorks.DrawingDoc Dim swView As SldWorks.View Dim swNote As SldWorks.Note Dim swAnn As SldWorks.Annotation Dim vNotes As Variant Dim vNote As Variant Dim vComps As Variant Dim...